import { EventEmitter } from '@angular/core';
import { NgForm } from '@angular/forms';
import { Configuration } from '../config';
import { IServiceConfig } from '../../service.config';
export declare class SystemSettingsComponent {
    private configInfo;
    config: Configuration;
    downloadLink: string;
    configChange: EventEmitter<Configuration>;
    systemSettings: Configuration;
    showSubTitle: boolean;
    hasAdminRole: boolean;
    hasCAFile: boolean;
    withAdmiral: boolean;
    systemSettingsForm: NgForm;
    readonly editable: boolean;
    readonly isValid: boolean;
    setRepoReadOnlyValue($event: any): void;
    readonly canDownloadCert: boolean;
    constructor(configInfo: IServiceConfig);
}
