import { EventEmitter, OnInit } from '@angular/core';
export declare const enum CopyStatus {
    NORMAL = 0,
    SUCCESS = 1,
    ERROR = 2,
}
export declare class CopyInputComponent implements OnInit {
    inputSize: number;
    headerTitle: string;
    defaultValue: string;
    iconMode: boolean;
    state: CopyStatus;
    onCopySuccess: EventEmitter<any>;
    onCopyError: EventEmitter<any>;
    ngOnInit(): void;
    onSuccess($event: any): void;
    onError(error: any): void;
    reset(): void;
    setPullCommendShow(): void;
    readonly isCopied: boolean;
    readonly hasCopyError: boolean;
}
