import { EventEmitter, OnDestroy, OnInit, ChangeDetectorRef } from "@angular/core";
import { Label } from "../service/interface";
import { LabelService } from "../service/label.service";
import { ErrorHandler } from "../error-handler/error-handler";
import { NgForm } from "@angular/forms";
import { Subject } from "rxjs/Subject";
export declare class CreateEditLabelComponent implements OnInit, OnDestroy {
    private labelService;
    private errorHandler;
    private ref;
    formShow: boolean;
    inProgress: boolean;
    copeLabelModel: Label;
    labelModel: Label;
    labelId: number;
    checkOnGoing: boolean;
    isLabelNameExist: boolean;
    nameChecker: Subject<string>;
    labelForm: NgForm;
    currentForm: NgForm;
    projectId: number;
    scope: string;
    reload: EventEmitter<{}>;
    constructor(labelService: LabelService, errorHandler: ErrorHandler, ref: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    readonly labelColor: {
        'color': string;
        'textColor': string;
    }[];
    initLabel(): Label;
    openModal(): void;
    editModel(labelId: number, label: Label[]): void;
    readonly hasChanged: boolean;
    readonly isValid: boolean;
    existValid(text: string): void;
    onSubmit(): void;
    onCancel(): void;
}
