import { ChangeDetectorRef } from "@angular/core";
import { JobLogService } from "../service/index";
import { ErrorHandler } from "../error-handler/index";
export declare class JobLogViewerComponent {
    private jobLogService;
    private errorHandler;
    private ref;
    _jobType: string;
    opened: boolean;
    log: string;
    onGoing: boolean;
    jobType: string;
    readonly title: string;
    constructor(jobLogService: JobLogService, errorHandler: ErrorHandler, ref: ChangeDetectorRef);
    open(jobId: number | string): void;
    close(): void;
    load(jobId: number | string): void;
}
