import { OnInit, OnDestroy } from '@angular/core';
import { OperationService } from "./operation.service";
import { Subscription } from "rxjs/Subscription";
import { OperateInfo } from "./operate";
import { TranslateService } from "@ngx-translate/core";
export declare class OperationComponent implements OnInit, OnDestroy {
    private operationService;
    private translate;
    batchInfoSubscription: Subscription;
    resultLists: OperateInfo[];
    animationState: string;
    beforeUnloadHander(event: any): void;
    constructor(operationService: OperationService, translate: TranslateService);
    readonly runningLists: OperateInfo[];
    readonly failLists: OperateInfo[];
    ngOnInit(): void;
    ngOnDestroy(): void;
    toggleTitle(errorSpan: any): void;
    slideOut(): void;
    openSlide(): void;
    TabEvent(): void;
    calculateTime(timp: number): string;
    translateTime(tim: string, param?: number): void;
}
